# $Revision: 1.11 $, $Date: 2011/07/18 11:22:21 $
Summary:	Shared library for libmediainfo and mediainfo*
Name:		libzen
Version:	0.4.20
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://downloads.sourceforge.net/project/zenlib/ZenLib%20-%20Sources/%{version}/%{name}_%{version}.tar.bz2
# Source0-md5:	8211cc2ca8500c6af14600363be064d5
Patch0:		%{name}-include.patch
URL:		http://mediainfo.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Shared library for libmediainfo and mediainfo-*.

%package devel
Summary:	Include files and mandatory libraries for development
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Include files and mandatory libraries for development.

%package static
Summary:	Static libzen library
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libzen library.

%prep
%setup -q -n ZenLib
%undos Source/ZenLib/*.h
%undos *.txt Source/Doc/*.html
chmod 644 *.txt Source/Doc/*.html
%patch0 -p1

%build
export CFLAGS="%{rpmcflags}"
export CPPFLAGS="%{rpmcppflags}"
export CXXFLAGS="%{rpmcxxflags}"

cd Source/Doc
	doxygen Doxyfile
cd ../..

cp Source/Doc/*.html ./

cd Project/GNU/Library
	chmod +x autogen
	./autogen
	%configure \
	--enable-shared \

	%{__make} clean
	%{__make}
cd ../../..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C Project/GNU/Library \
	install-strip \
	DESTDIR=$RPM_BUILD_ROOT

# Zenlib headers and ZenLib-config
install -d $RPM_BUILD_ROOT%{_includedir}/ZenLib
cp -a Source/ZenLib/*.h $RPM_BUILD_ROOT%{_includedir}/ZenLib

for i in Base64 HTTP_Client Format/Html Format/Http TinyXml; do
	install -d $RPM_BUILD_ROOT%{_includedir}/ZenLib/$i
	cp -a Source/ZenLib/$i/*.h $RPM_BUILD_ROOT%{_includedir}/ZenLib/$i
done

%{__sed} -i -e 's|Version: |Version: %{version}|g' Project/GNU/Library/libzen.pc

install -d $RPM_BUILD_ROOT%{_pkgconfigdir}
cp -a Project/GNU/Library/libzen.pc $RPM_BUILD_ROOT%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc History.txt License.txt ReadMe.txt
%attr(755,root,root) %{_libdir}/libzen.so.*

%files devel
%defattr(644,root,root,755)
%doc Documentation.html
%doc Doc/*
%dir %{_includedir}/ZenLib
%{_includedir}/ZenLib/*
%{_libdir}/libzen.la
%attr(755,root,root) %{_libdir}/libzen.so
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libzen.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libzen.spec,v $
Revision 1.11  2011/07/18 11:22:21  charles
- package include/ZenLib/TinyXml
- rel. 2

Revision 1.10  2011/07/18 10:37:12  charles
- updated to 0.4.20
- use undos macro instead of dos2unix (updated BRs)

Revision 1.9  2011/04/28 21:58:48  charles
- up to 0.4.19

Revision 1.8  2011/02/12 22:38:23  arekm
- up to 0.4.17

Revision 1.7  2011/02/05 02:07:54  sparky
- make sure package name and name specified in %files match

Revision 1.6  2010/09/30 19:35:14  arekm
- up to 0.4.15

Revision 1.5  2010/03/10 06:33:03  arekm
- up to 0.4.12

Revision 1.4  2010/02/22 08:21:06  glen
- typo, unify, adapter

Revision 1.3  2010/02/21 18:35:56  arekm
- up to 0.4.11

Revision 1.2  2009/12/04 17:36:39  sparky
- BR: autoconf, automake, libtool

Revision 1.1  2009/12/04 17:08:11  arekm
- initial
